List Replication Policies
GET
/cluster/replication/policies
const url = 'https://sylve.lan:8181/api/cluster/replication/policies';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/cluster/replication/policies \ --header 'Authorization: <Authorization>'List cluster replication policies and their current HA state
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
activeNodeId
string
crashRecovery
boolean
crashRestartMax
integer
createdAt
string
cronExpr
string
description
string
enabled
boolean
failbackMode
string
failoverMode
string
guestId
integer
guestType
string
haDegraded
boolean
haEligible
boolean
haReasons
Array<string>
id
integer
lastError
string
lastRunAt
string
lastStatus
string
name
string
nextRunAt
string
ownerEpoch
integer
poolCapacityPct
integer
poolHealthCheck
boolean
protectionState
string
scheduleRevision
integer
sourceMode
string
sourceNodeId
string
targets
Array<object>
object
completedDatasetCount
integer
createdAt
string
generationId
string
id
integer
lastError
string
lastVerifiedAt
string
manifestHash
string
nodeId
string
ownerEpoch
integer
policyId
integer
ready
boolean
readyUntil
string
requiredDatasetCount
integer
updatedAt
string
weight
integer
transitionAllowUnsafe
boolean
transitionCatchupAt
string
transitionCompletedAt
string
transitionDemotedAt
string
transitionError
string
transitionGenerationId
string
transitionGenerationManifest
string
transitionGenerationOwnerEpoch
integer
transitionGenerationRootCount
integer
transitionMovePinnedSource
boolean
transitionOriginalRunning
boolean
transitionOriginalSourceNodeId
string
transitionOwnerEpoch
integer
transitionPromotedAt
string
transitionReason
string
transitionRecoveryDeadlineAt
string
transitionRequestedAt
string
transitionRunId
string
transitionSourceNodeId
string
transitionState
string
transitionTargetNodeId
string
transitionTriggerValidationRun
boolean
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "activeNodeId": "example", "crashRecovery": true, "crashRestartMax": 1, "createdAt": "example", "cronExpr": "example", "description": "example", "enabled": true, "failbackMode": "example", "failoverMode": "example", "guestId": 1, "guestType": "example", "haDegraded": true, "haEligible": true, "haReasons": [ "example" ], "id": 1, "lastError": "example", "lastRunAt": "example", "lastStatus": "example", "name": "example", "nextRunAt": "example", "ownerEpoch": 1, "poolCapacityPct": 1, "poolHealthCheck": true, "protectionState": "example", "scheduleRevision": 1, "sourceMode": "example", "sourceNodeId": "example", "targets": [ { "completedDatasetCount": 1, "createdAt": "example", "generationId": "example", "id": 1, "lastError": "example", "lastVerifiedAt": "example", "manifestHash": "example", "nodeId": "example", "ownerEpoch": 1, "policyId": 1, "ready": true, "readyUntil": "example", "requiredDatasetCount": 1, "updatedAt": "example", "weight": 1 } ], "transitionAllowUnsafe": true, "transitionCatchupAt": "example", "transitionCompletedAt": "example", "transitionDemotedAt": "example", "transitionError": "example", "transitionGenerationId": "example", "transitionGenerationManifest": "example", "transitionGenerationOwnerEpoch": 1, "transitionGenerationRootCount": 1, "transitionMovePinnedSource": true, "transitionOriginalRunning": true, "transitionOriginalSourceNodeId": "example", "transitionOwnerEpoch": 1, "transitionPromotedAt": "example", "transitionReason": "example", "transitionRecoveryDeadlineAt": "example", "transitionRequestedAt": "example", "transitionRunId": "example", "transitionSourceNodeId": "example", "transitionState": "example", "transitionTargetNodeId": "example", "transitionTriggerValidationRun": true, "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}